@import '~antd/es/style/themes/default.less';
@import './variables.less';

html,
body,
#root {
  height: 100%;

  .bug-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
    min-height: 150px;

    
  }
}

.colorWeak {
  filter: invert(80%);
}

.ant-layout {
  min-height: 100vh;
}
.ant-pro-sider.ant-layout-sider.ant-pro-sider-fixed {
  left: unset;
}

canvas {
  display: block;
}

body {
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

ul,
ol {
  list-style: none;
}

.ant-btn {
  padding-left: 25px;
  padding-right: 25px;
}

@media (max-width: @screen-xs) {
  .ant-table {
    width: 100%;
    overflow-x: auto;
    &-thead > tr,
    &-tbody > tr {
      > th,
      > td {
        white-space: pre;
        > span {
          display: block;
        }
      }
    }
  }
}

// Global style
.actions {
  display: flex;
  margin-bottom: 20px;
  
  &.actions-right {
    justify-content: flex-end;
  }

  button {
    margin-left: 10px;
    &:first-child {
      margin-left: 0;
    }
  }
}
 
.edit-icon {
  color: var(--color-primary-3);
}
.delete-icon {
  color: var(--color-red-3);
}

// Compatible with IE11
@media screen and(-ms-high-contrast: active), (-ms-high-contrast: none) {
  body .ant-design-pro > .ant-layout {
    min-height: 100vh;
  }
}
